﻿using System;
using System.Windows.Forms;

namespace Cshp_TimeZone
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnListarTimeZoneID_Click(object sender, EventArgs e)
        {
            lbTimeZone.Items.Clear();

            foreach (TimeZoneInfo z in TimeZoneInfo.GetSystemTimeZones())
                lbTimeZone.Items.Add(z.Id);
            btnDataHora.Enabled = true;
        }

        private void btnDataHora_Click(object sender, EventArgs e)
        {
            if (lbTimeZone.SelectedIndex != -1)
            {
                string fusoHorarioId = lbTimeZone.Text;
                TimeZoneInfo Standard_Time = TimeZoneInfo.FindSystemTimeZoneById(fusoHorarioId);
                DateTime dataHoraLocal = TimeZoneInfo.ConvertTimeFromUtc(DateTime.UtcNow, Standard_Time);
                lbDataHora.Items.Add("Data e Horário Local");
                lbDataHora.Items.Add("Para " + fusoHorarioId);
                lbDataHora.Items.Add(dataHoraLocal);
                lbDataHora.Items.Add("--------------------------------");

            }
            else
            {
                MessageBox.Show("Selecione um fuso horário");
            }
        }
    }
}
